Subject: bug#48990: 28.0.50; buffer-local and threads malarkey

From: dick <[email-masked]>
Date: Sat, 12 Feb 2022 17:58:17 -0500

Ah, much better, this is the root-node fix I was looking for.

In my defense, I have in my notes (now gibberish) that I considered
overhauling {re,un}bind_for_thread_switch but settled on a less robust,
less intrusive fix at the problem's leaf node.